Subject: Re: [Bitcoin-development] Tor hidden service support

From: Andy Parkins <[email-masked]>
Date: Wed, 27 Jun 2012 09:47:01 +0100

On 2012 June 26 Tuesday, Pieter Wuille wrote:

> Additionally, such addresses are exchanged and relayed via the P2P network.
> To do so, we reused the fd87:d87e:eb43::/48 IPv6 range. Each address in

Yuck.  Can't we pinch a few of the addr.services bits to store an address 
family?  AF_INET, AF_INET6, AF_CUSTOM_TOR, and leave space for a few more 
would be, say, four bits out of 64 mostly unused.

Andy

-- 
Dr Andy Parkins
[email-masked]